[DEPRECATED] This package is deprecated in favor of [node-jwks-rsa](https://github.com/auth0/node-jwks-rsa).

# Auth0 API JWT RSA validation

This module abstracts you away from validating the JWT tokens of Auth0 API.

Note: This module was designed to work with [express-jwt](https://github.com/auth0/express-jwt).

## Usage

- Run `npm install express-jwt --save`
- Run `npm install auth0-api-jwt-rsa-validation --save`
- Add the `express-jwt` and `auth0-api-jwt-rsa-validation` modules

```js
var express    = require('express');
var expressJwt = require('express-jwt');
var app        = express();

app.use(expressJwt({
  secret:     require('auth0-api-jwt-rsa-validation')(),
  algorithms: ['RS256']
});
```

## What is Auth0?

Auth0 helps you to:

* Add authentication with [multiple authentication sources](https://docs.auth0.com/identityproviders), either social like **Google, Facebook, Microsoft Account, LinkedIn, GitHub, Twitter, Box, Salesforce, amont others**, or enterprise identity systems like **Windows Azure AD, Google Apps, Active Directory, ADFS or any SAML Identity Provider**.
* Add authentication through more traditional **[username/password databases](https://docs.auth0.com/mysql-connection-tutorial)**.
* Add support for **[linking different user accounts](https://docs.auth0.com/link-accounts)** with the same user.
* Support for generating signed [Json Web Tokens](https://docs.auth0.com/jwt) to call your APIs and **flow the user identity** securely.
* Analytics of how, when and where users are logging in.
* Pull data from other sources and add it to the user profile, through [JavaScript rules](https://docs.auth0.com/rules).

## Create a free Auth0 Account

1. Go to [Auth0](https://auth0.com/signup) and click Sign Up.
2. Use Google, GitHub or Microsoft Account to login.

## Issue Reporting

If you have found a bug or if you have a feature request, please report them at this repository issues section. Please do not report security vulnerabilities on the public GitHub issue tracker. The [Responsible Disclosure Program](https://auth0.com/whitehat) details the procedure for disclosing security issues.

## Author

[Auth0](auth0.com)

## License

This project is licensed under the MIT license. See the [LICENSE](LICENSE) file for more info.
